/*
 * Class TABLE [POINTER, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_542 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_542 [] = {0xFF01,237,541,215,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_542 [] = {0xFF01,541,215,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_542 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_542 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_542 [] = {0xFF01,541,215,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_542 [] = {0xFF01,541,215,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_542 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_542 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_542 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_542 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_542 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_542 [] = {541,215,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_542 [] = {0xFF01,541,215,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_542 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_542 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_542 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_542 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_542 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_542[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_542), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_542), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_542), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_542), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_542), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_542), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_542), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_542), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_542), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_542), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_542), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_542), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_542), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_542), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_542), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_542), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1946, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_542), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_542), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_542), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init542(void)
{
	IDSC(desc_542, 0, 541);
	IDSC(desc_542 + 1, 1, 541);
	IDSC(desc_542 + 32, 77, 541);
	IDSC(desc_542 + 41, 282, 541);
	IDSC(desc_542 + 50, 187, 541);
	IDSC(desc_542 + 56, 229, 541);
}


#ifdef __cplusplus
}
#endif
